Skip to main content
`Ctrl`+`K`
scipy.interpolate.NdBSpline.

# __call__

NdBSpline.__call__(xi, *, nu=None, extrapolate=None)

  Evaluate the tensor product b-spline at `xi`.

  Parameters:
    xi array_like, shape(…, ndim)

      The coordinates to evaluate the interpolator at. This can be a list or tuple of ndim-dimensional points or an array with the shape (num_points, ndim).

    nu array_like, optional, shape (ndim,)

      Orders of derivatives to evaluate. Each must be non-negative. Defaults to the zeroth derivivative.

    extrapolate bool, optional

      Whether to exrapolate based on first and last intervals in each dimension, or return nan. Default is to `self.extrapolate`.

  Returns:
    values ndarray, shape `xi.shape[:-1] + self.c.shape[ndim:]`

      Interpolated values at `xi`